# HG changeset patch
# Parent 77d3bcd4483a9b000dbbcd5a48924e6f4238762e
http://sourceforge.net/projects/mingw/files/MinGW/autoconf/wrapper/autoconf-9-1/autoconf-9-1-mingw32-bin.tar.lzma/download

diff --git a/mingw/bin/autoconf b/mingw/bin/autoconf
new file mode 100644
--- /dev/null
+++ b/mingw/bin/autoconf
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/bin/autoheader b/mingw/bin/autoheader
new file mode 100644
--- /dev/null
+++ b/mingw/bin/autoheader
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/bin/autom4te b/mingw/bin/autom4te
new file mode 100644
--- /dev/null
+++ b/mingw/bin/autom4te
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/bin/autoreconf b/mingw/bin/autoreconf
new file mode 100644
--- /dev/null
+++ b/mingw/bin/autoreconf
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/bin/autoscan b/mingw/bin/autoscan
new file mode 100644
--- /dev/null
+++ b/mingw/bin/autoscan
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/bin/autoupdate b/mingw/bin/autoupdate
new file mode 100644
--- /dev/null
+++ b/mingw/bin/autoupdate
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/bin/ifnames b/mingw/bin/ifnames
new file mode 100644
--- /dev/null
+++ b/mingw/bin/ifnames
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/share/autotools/ac-wrapper.sh b/mingw/share/autotools/ac-wrapper.sh
new file mode 100644
--- /dev/null
+++ b/mingw/share/autotools/ac-wrapper.sh
@@ -0,0 +1,159 @@
+#!/bin/sh
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf-wrapper/files/ac-wrapper-9.sh,v 1.2 2010/08/07 20:43:35 vapier Exp $
+
+# Based on the ac-wrapper.pl script provided by MandrakeSoft
+# Rewritten in bash by Gregorio Guidi
+#
+# Executes the correct autoconf version.
+#
+# - defaults to newest version available (hopefully autoconf-2.60)
+# - runs autoconf 2.13 if:
+#   - envvar WANT_AUTOCONF is set to `2.1'
+#     -or-
+#   - `ac{local,include}.m4' or `configure.{in,ac}' have AC_PREREQ(2.1) (not higher)
+#     -or-
+#   - `configure' is already present and was generated by autoconf 2.13
+
+warn() { printf "ac-wrapper: $*\n" 1>&2; }
+err() { warn "$@"; exit 1; }
+
+if [ "${0##*/}" = "ac-wrapper.sh" ] ; then
+	err "Don't call this script directly"
+fi
+
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ "${0##*/}" = "autom4te" ] ; then
+	err "Autoconf 2.13 doesn't contain autom4te.\n" \
+	    "   Either unset WANT_AUTOCONF or don't execute anything\n" \
+	    "   that would use autom4te."
+fi
+
+#
+# Set up bindings between actual version and WANT_AUTOCONF
+#
+vers="2.67:2.5 2.66:2.5 2.65:2.5 2.64:2.5 2.63:2.5 2.62:2.5 2.61:2.5 2.60:2.5 2.59:2.5 2.5x:2.5 2.13:2.1"
+
+binary=""
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	if [ -z "${binary}" ] && [ -x "${0}-${auto_ver}" ] ; then
+		binary="${0}-${auto_ver}"
+	fi
+done
+if [ -z "${binary}" ] ; then
+	err "Unable to locate any usuable version of autoconf.\n" \
+	    "\tI tried these versions: ${vers}\n" \
+	    "\tWith a base name of '${0}'."
+fi
+
+#
+# Check the WANT_AUTOCONF setting.  We accept a whitespace delimited
+# list of autoconf versions.
+#
+if [ -n "${WANT_AUTOCONF}" ] ; then
+	for v in ${vers} x ; do
+		if [ "${v}" = "x" ] ; then
+			warn "warning: invalid WANT_AUTOCONF '${WANT_AUTOCONF}'; ignoring."
+			unset WANT_AUTOCONF
+			break
+		fi
+
+		auto_ver=${v%:*}
+		want_ver=${v#*:}
+		for wx in ${WANT_AUTOCONF} ; do
+			if [ "${wx}" = "${want_ver}" ] && [ -x "${0}-${auto_ver}" ] ; then
+				binary="${0}-${auto_ver}"
+				v="x"
+			fi
+		done
+		[ "${v}" = "x" ] && break
+	done
+fi
+
+#
+# autodetect helpers
+#
+acprereq_version() {
+	gawk \
+	'($0 !~ /^[[:space:]]*(#|dnl)/) {
+		if (match($0, "AC_PREREQ\\(\\[?([0-9]\\.[0-9])", res))
+			VERSIONS[COUNT++] = res[1]
+	}
+
+	END {
+		asort(VERSIONS)
+		print VERSIONS[COUNT]
+	}' "$@"
+}
+
+generated_version() {
+	gawk \
+	'{
+		if (match($0,
+		          "^# Generated (by (GNU )?Autoconf|automatically using autoconf version) ([0-9].[0-9])",
+		          res)) {
+			print res[3]
+			exit
+		}
+	}' "$@"
+}
+
+#
+# autodetect routine
+#
+if [ "${WANT_AUTOCONF}" = "2.1" ] && [ -f "configure.ac" ] ; then
+	err "Since configure.ac is present, aclocal always use\n" \
+	    "\tautoconf 2.59+, which conflicts with your choice and\n" \
+	    "\tcauses error. You have two options:\n" \
+	    "\t1. Try execute command again after removing configure.ac\n" \
+	    "\t2. Don't set WANT_AUTOCONF"
+fi
+
+if [ "${WANT_AUTOCONF}" != "2.5" ] && [ -n "${WANT_AUTOMAKE}" ] ; then
+	# Automake-1.7 and better require autoconf-2.5x so if WANT_AUTOMAKE
+	# is set to an older version, let's do some sanity checks.
+	case "${WANT_AUTOMAKE}" in
+	1.[456])
+		acfiles=$(ls ac{local,include}.m4 configure.{in,ac} 2>/dev/null)
+		[ -n "${acfiles}" ] && confversion=$(acprereq_version ${acfiles})
+		
+		[ -z "${confversion}" ] && [ -r "configure" ] \
+			&& confversion=$(generated_version configure)
+
+		if [ "${confversion}" = "2.1" ] && [ ! -f "configure.ac" ] ; then
+			binary="${0}-2.13"
+		fi
+	esac
+fi
+
+if [ -n "${WANT_ACWRAPPER_DEBUG}" ] ; then
+	if [ -n "${WANT_AUTOCONF}" ] ; then
+		warn "DEBUG: WANT_AUTOCONF is set to ${WANT_AUTOCONF}"
+	fi
+	warn "DEBUG: will execute <${binary}>"
+fi
+
+#
+# for further consistency
+#
+for v in ${vers} ; do
+	auto_ver=${v%:*}
+	want_ver=${v#*:}
+	if [ "${binary}" = "${0}-${auto_ver}" ] ; then
+		export WANT_AUTOCONF="${want_ver}"
+	fi
+done
+
+#
+# Now try to run the binary
+#
+if [ ! -x "${binary}" ] ; then
+	# this shouldn't happen
+	err "${binary} is missing or not executable.\n" \
+	    "\tPlease try emerging the correct version of autoconf."
+fi
+
+exec "${binary}" "$@"
+
+err "was unable to exec ${binary} !?"
diff --git a/mingw/share/doc/MinGW/autoconf-9-1-mingw32.RELEASE_NOTES.txt b/mingw/share/doc/MinGW/autoconf-9-1-mingw32.RELEASE_NOTES.txt
new file mode 100644
--- /dev/null
+++ b/mingw/share/doc/MinGW/autoconf-9-1-mingw32.RELEASE_NOTES.txt
@@ -0,0 +1,107 @@
+mingw autoconf (wrapper)
+========================================================================
+Wrapper scripts for autoconf commands. These scripts are packaged to
+work alongside the "autoconf2.1" and "autoconf2.5" automatic configure
+script builder packages.  Originally developed by the Gentoo
+distirbution, these wrapper scripts autodetect which version of autoconf
+(2.1x or 2.[56]x) should be used.  When invoked, each wrapper script
+passes all arguments to the selected implementation and invokes it. To
+override the autodetection mechanism, set the shell variable
+  WANT_AUTOCONF=2.1
+  WANT_AUTOCONF=2.5
+
+Proper operation of this autoconf wrapper distribution requires a
+working MSYS installation, as well as certain other elements available
+from the MinGW team (http://www.mingw.org/) as listed below.  However,
+this autoconf distribution was configured as part of the "mingw32"
+subsystem, and should be installed into the /mingw directory (which is
+usually, but not always, C:\MinGW).  Thus, autoconf is a hybrid: it is
+configured for the "mingw32" subsystem, but unlike most mingw32 elements,
+requires MSYS.  This rather odd situation is necessary for a number of
+reasons (see the References section below).
+
+Runtime requirements
+  MSYS Environment
+    msysCORE-1.0.15-1-msys-1.0.15-bin
+    coreutils-5.97-3-msys-1.0.13-bin
+    bash-3.1.17-3-msys-1.0.13-bin
+    sed-4.2.1-2-msys-1.0.13-bin
+    file-5.04-1-msys-1.0.13-bin
+    perl-5.6.1_2-2-msys-1.0.13-bin
+    libcrypt-1.1_1-3-msys-1.0.13-dll-0
+    libgdbm-1.8.3-3-msys-1.0.13-dll-3
+    libintl-0.17-2-msys-dll-8
+    libiconv-1.13.1-2-msys-1.0.13-dll-2
+
+Build requirements (these, or newer)
+  Same as above
+
+Canonical homepage:
+  http://www.gnu.org/software/autoconf/
+
+Canonical download:
+  ftp://ftp.gnu.org/pub/gnu/autoconf/
+
+License:
+  GPL
+
+Language:
+  perl, m4
+
+===========================================================
+
+Build instructions:
+  unpack autoconf-9-1-mingw32-src.tar.gz
+  cd autoconf-7/mingwPORT
+  ./mingwPORT.sh [--no-cleanup] [--check]
+
+This will create:
+  autoconf-9-1-mingw32-src.tar.gz
+  autoconf-9-1-mingw32-bin.tar.gz
+  autoconf-9-1-mingw32-lic.tar.gz
+
+===========================================================
+
+Test suite results
+No tests.
+
+===========================================================
+References:
+
+For a discussion of the packaging standards used by the MinGW
+project for pre-built components -- especially as related to
+the autotools such as autoconf, automake, and libtool, see:
+
+  here:     http://www.mingw.org/PackageIdentificationHOWTO
+  here:     http://article.gmane.org/gmane.comp.gnu.mingw.devel/3330
+  and here: http://article.gmane.org/gmane.comp.gnu.mingw.devel/3305
+
+If you're REALLY curious, the following threads are quite
+informative, if extremely long, and detail the discussion and
+reasoning behind the current packaging schema. Presented in
+reverse chronological order:
+  
+  "New Packages"
+  2009-06-21 22:38:19 GMT
+  http://thread.gmane.org/gmane.comp.gnu.mingw.devel/3297
+
+  "GCC 4.4.0: Naming conventions"
+  2009-04-18 06:35:28 GMT
+  http://thread.gmane.org/gmane.comp.gnu.mingw.devel/3225
+
+  "Standards for Building MinGW Release Packages"
+  2008-03-27 12:36:25 GMT
+  http://thread.gmane.org/gmane.comp.gnu.mingw.devel/2739
+
+===========================================================
+
+Port Notes:
+----------  autoconf-9-1 -- 2010 Sep 04 -----------
+* Update to revision 9, supports autoconf-2.67
+
+----------  autoconf-7-1 -- 2009 Oct 28 -----------
+* Update to revision 7, supports autoconf-2.64
+
+----------  autoconf-6-1 -- 2009 Jul 23 -----------
+* First release of autoconf (wrapper) under the new packaging standard.
+
